%global _hardened_build 1
%global prever alpha1

Name: dnsdist
Version: 1.0.0
Release: 0.1.%{?prever}%{?dist}
Summary: A highly DNS-, DoS- and abuse-aware loadbalancer
Group: System Environment/Daemons
License: GPLv2
URL: http://dnsdist.org
Source0: http://downloads.powerdns.com/releases/%{name}-%{version}-%{?prever}.tar.bz2

BuildRequires: boost-devel
BuildRequires: libsodium-devel
BuildRequires: lua-devel
BuildRequires: luajit-devel
BuildRequires: readline-devel
BuildRequires: systemd-units

%description
dnsdist is a highly DNS-, DoS- and abuse-aware loadbalancer. Its goal in life
is to route traffic to the best server, delivering top performance to
legitimate users while shunting or blocking abusive traffic.


%prep
%setup -q -n %{name}-%{version}-%{?prever}

%build
%configure \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--disable-static \
	--disable-dependency-tracking \
	--disable-silent-rules \
  --enable-dnscrypt \
  --enable-libsodium \
	--with-lua \
	--with-luajit \
	--enable-unit-tests
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# install systemd unit file
%{__install} -D -p -m 644 contrib/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
%{__install} -d %{buildroot}%{_sysconfdir}/%{name}/

%check
make %{?_smp_mflags} check
rm %{buildroot}%{_bindir}/testrunner

%files
%doc README.md
#https://github.com/PowerDNS/pdns/issues/3200
#%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_unitdir}/%{name}.service
%dir %{_sysconfdir}/%{name}/


%changelog
* Sun Jan 10 2016 Sander Hoentjen <sander@hoentjen.eu> - 1.0.0-0.1.alpha1
- Initial package
